Get all recommendation views
curl --request GET \
--url https://api.vantage.sh/v2/recommendation_views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/recommendation_views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/recommendation_views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/recommendation_views",
"first": "https://api.vantage.sh/v2/recommendation_views?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/recommendation_views?page=1",
"prev": null
},
"recommendation_views": [
{
"token": "rec_vw_3dffc0458f7a2487",
"title": "Production Recommendations",
"workspace_token": "wrkspc_914dcb0959497507",
"start_date": "2024-01-01",
"end_date": "2024-12-31",
"provider_ids": [
"aws",
"gcp"
],
"billing_account_ids": [],
"account_ids": [
"123456789012"
],
"regions": [
"us-east-1",
"us-west-2"
],
"tag_key": "environment",
"tag_value": "production",
"created_at": "2024-07-15T16:08:53Z",
"created_by": "usr_95fac32734bdceab"
}
]
}RecommendationViews
Get all recommendation views
Return all RecommendationViews.
GET
/
recommendation_views
Get all recommendation views
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I